# Class TabixIteratorLineReader

java.lang.Object
htsjdk.tribble.readers.TabixIteratorLineReader

All Implemented Interfaces:
  `LineReader, Closeable, AutoCloseable`

public class TabixIteratorLineReader extends Object implements LineReader

## Constructor Summary

Constructors
Constructor
Description
`TabixIteratorLineReader(TabixReader.Iterator iterator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`String`
`readLine()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TabixIteratorLineReader

public TabixIteratorLineReader(TabixReader.Iterator iterator)

## Method Details

### readLine

public String readLine()

Specified by:
  `readLine` in interface `LineReader`
Returns:
  The next "line" from the source. Typically a line is a set of characters terminated by '\n', '\r', or '\r\n'. The line-terminator is not included

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `LineReader`

### toString

public String toString()

Overrides:
  `toString` in class `Object`